package com.artfess.query.dao;

import com.artfess.query.model.BizAdvanceQueryMouldConfig;
import com.artfess.query.model.BizQueryTagCondition;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 高级查询条件配置表(界面动态配置）BIZ_ADVANCE_QUERY_MOULD_CONFIG Mapper 接口
 *
 * @company 阿特菲斯信息技术有限公司
 * @author wh
 * @since 2025-02-17
 */
public interface BizAdvanceQueryMouldConfigDao extends BaseMapper<BizAdvanceQueryMouldConfig> {
    /**
     * @Description: 根据标签查询配置高级条件
     * @param tagId  标签ID
     * @Return: java.util.List<com.artfess.query.model.BizAdvanceQueryMouldConfig>
     * @Author: chens
     * @Date: 2025/3/26 10:45:49
     */
    List<BizAdvanceQueryMouldConfig> qureyConditionByTag(@Param("tagId") String tagId);
}
