package com.artfess.query.manager;

import com.artfess.base.manager.BaseManager;
import com.artfess.query.model.BizQueryTagCondition;

import java.util.List;

/**
 * 按标签分类查询条件表（BIZ_QUERY_TAG_CONDITION） 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author wh
 * @since 2025-02-17
 */
public interface BizQueryTagConditionManager extends BaseManager<BizQueryTagCondition> {

    /**
    * @Description: 根据标签查询配置条件
    * @param tagId  标签ID
    * @Return: java.util.List<com.artfess.query.model.BizQueryTagCondition>
    * @Author: chens
    * @Date: 2025/3/26 10:45:49
    */
    List<BizQueryTagCondition> qureyConditionByTag(String tagId);
}
